%define version 4.4.0
%define rversion 1.1.22

%define realname CUPS
%define modname cups
%define dirname %{modname}
%define soname php%{modname}.so
%define inifile A20_%{modname}.ini

Summary:	The %{realname} module for PHP
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	GPL
URL:		http://www.cups.org
Source0:	php-%{modname}-%{rversion}.tar.bz2
Patch0:		php-cups-1.1.20-gcc34.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	cups-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
The %{name} package is a dynamic shared object (DSO) that adds
%{realname} support to PHP. PHP is an HTML-embedded scripting language. 
If you need %{realname} support for PHP applications, you will need to 
install this package in addition to the php package.

%prep

%setup -q -n php-%{modname}-%{rversion}
%patch0 -p1

%build

%{_usrsrc}/php4-devel/buildext phpcups "phpcups.c" \
    "`cups-config --libs`" "-DCOMPILE_DL_PHPCUPS \
    -DHAVE_LIBSSL -I%{_includedir}/cups \
    -DCUPS_SERVERROOT=\"`cups-config --serverroot`\""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc phpcups.php README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.1.22-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.1.22-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.1.22-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.1.22-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.1.22-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.1.22-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.1.22-1mdk
- rebuild for php 4.3.10

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.1.22-1mdk
- cosmetic rebuild

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.1.20-1mdk
- rebuild for php 4.3.9

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.1.20-2mdk
- fixed P0 (PLD)

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.1.20-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.1.20-2mdk
- remove redundant provides

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.1.20-1mdk
- rebuilt for php-4.3.7
- added P0

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.1.20-2mdk
- move scandir to /etc/php4.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.1.20-1mdk
- 1.1.20
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.1.19-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.1.19-1mdk
- built for php 4.3.3
- misc spec file fixes

* Fri Jul 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.1.19-1mdk
- initial cooker contrib, ripped and hacked from the cups source

